Subject: RE: [Sipping] Expert review of draft-ejzak-sipping-p-em-auth-00.t xt

From: "Ejzak, Richard P (Richard)" <[email-masked]>
Date: Wed, 19 Apr 2006 08:38:22 -0500

Paul,
I agree that the gating of the early media in response to the P-header should be a matter of local policy and will also make this change in the next draft.

Richard

Paul Kyzivat wrote:
> Ejzak, Richard P (Richard) wrote:
> > David R Oran wrote:
> > 
> >>On Apr 18, 2006, at 9:12 AM, Paul Kyzivat wrote:
> >>
> >>>Note that I am *not* opposed to service providers charging for  
> >>>their services. If the stated purpose of this header was to  
> >>>determine whether to charge for early media then I would have no  
> >>>problem. Nor would I have a problem with a mechanism by 
> which a UA  
> >>>could ask to have early media blocked in cases where it would  
> >>>otherwise be charged for it.
> >>>
> >>
> >>This seems a superior semantic to what has been proposed.
> > 
> > 
> > This is just a particular (and reasonable) early media policy. 
> > One would still require some mechanism to signal the use of
> > authorized (free) early media through the network to implement
> > such a policy.  (And the P-header in the draft would enable one
> > to implement such a policy.)
> 
> Yes, it could be used for that purpose.
> 
> > I see no value in constraining the draft to only support the
> > policy you propose, however.  It wouldn't be "local policy"
> > then, would it?
> 
> If the policy is "local" then why does the draft single out a 
> particular 
> policy at all?
> 
>     "... if the proxy controls the gating of early media in both
>     directions for the User Agent Client, it SHALL use the contents of
>     the P-Early-Media header to gate the early media according to the
>     ..."
> 
> That in fact *excludes* the policy I suggested that leaves it 
> to the UA 
> to request that the gate be closed.
> 
> If a policy is to be mentioned at all then I hope it can give some 
> balance and insight into different policies and their pros/cons.
> 
> 	Paul
> 
> > Richard

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 20 Apr 2006 15:56:29 +0300

Hi,

some comments on the draft under discussion.

RFC 3960 points out a few issues related to forking and early media. 
This draft should address them. For example, it should explain how user 
agents are supposed to correlate a particular SIP early dialog with its 
media packets. That is, how to distinguish between the early media sent 
by two remote UASs and how to associate it with their respective SIP 
dialogs.

Regarding which entity is authorized to send backward early media or 
receive forward early media, this does not seem like a per dialog issue; 
it seems more a per media stream issue. For example, if I have two media 
streams (audio and video), the IVR in the network may be authorized to 
send me backward early media (audio), but the UAS is not authorized to 
send me anything. However, since both media streams (audio and video) 
were established with the same SIP early dialog, the P-Early-Media 
header field cannot provide this granularity. So, if early media is 
authorized for this early dialog, the UAS will be able to send video... 
the draft should discuss the granularity the solution should provide.

With respect to the policies the draft talks about, I do not think it is 
necessary to spell them out. It would be better if the draft only talked 
about early media that is authorized or unauthorized, and the mechanism 
to achieve that distinction. Which types of early media a domain may 
want or may not want to authorize (e.g., media from PSTN gateways vs. 
media from UASs) can be left outside the scope of the draft.

Cheers,

Gonzalo